Protection Profile for Application Software, Version 1.3

Profile details

Status archived
Valid from 01.03.2019
Valid until 18.04.2022
Scheme πŸ‡ΊπŸ‡Έ US
Category Other Devices and Systems
Security level EAL1

Certification report

Extracted keywords

Vendor
Samsung

Claims
O.INTEGRITY, O.QUALITY, O.MANAGEMENT, O.PROTECTED_STORAGE, O.PROTECTED_COMMS, T.NETWORK_ATTACK, T.NETWORK_EAVESDROP, T.LOCAL_ATTACK, T.PHYSICAL_ACCESS, A.PLATFORM, A.PROPER_USER, A.PROPER_ADMIN, OE.PLATFORM, OE.PROPER_USER, OE.PROPER_ADMIN
Security Assurance Requirements (SAR)
ADV_FSP.1, AGD_OPE, AGD_PRE, ALC_CMS, ALC_TSU_EXT, ALC_CMC, ATE_IND, AVA_VAN, APE_REQ, APE_CCL.1, APE_ECD.1, APE_INT.1, APE_OBJ.2, APE_REQ.2, APE_SPD.1, ASE_CCL, ASE_ECD, ASE_INT, ASE_OBJ, ASE_REQ
Security Functional Requirements (SFR)
FCS_CKM_EXT, FCS_RBG_EXT, FCS_STO_EXT, FCS_CKM.1, FCS_CKM, FCS_COP.1, FDP_DAR_EXT, FDP_DEC_EXT, FDP_NET_EXT, FMT_CFG_EXT, FMT_MEC_EXT, FMT_SMF, FPR_ANO_EXT, FPT_AEX_EXT, FPT_API_EXT, FPT_IDV_EXT, FPT_LIB_EXT, FPT_TUD_EXT, FTP_DIT_EXT
Evaluation facilities
Gossamer Security

Standards
X.509

Protection profile

Extracted keywords

Symmetric Algorithms
AES, AES-128, AES-256, DES, HMAC, HMAC-SHA-256
Asymmetric Algorithms
ECDHE, ECDSA, ECC, Diffie-Hellman, DHE
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2, PBKDF
Schemes
MAC
Protocols
SSH, TLS, DTLS, VPN
Randomness
DRBG, RNG, RBG
Elliptic Curves
P-256, P-384, P-521

JavaCard packages
java.security
Trusted Execution Environments
SE
Vendor
Microsoft

Claims
O.INTEGRITY, O.QUALITY, O.MANAGEMENT, O.PROTECTED_STORAGE, O.PROTECTED_COMMS, T.NETWORK_ATTACK, T.NETWORK_EAVESDROP, T.LOCAL_ATTACK, T.PHYSICAL_ACCESS, A.PLATFORM, A.PROPER_USER, A.PROPER_ADMIN, OE.PLATFORM, OE.PROPER_USER, OE.PROPER_ADMIN
Security Assurance Requirements (SAR)
ADV_FSP.1, AGD_OPE, AGD_PRE, AGD_OPE.1, AGD_PRE.1, ALC_CMC.1, ALC_CMS.1, ALC_TSU_EXT.1, ATE_IND, ATE_IND.1, AVA_VAN, AVA_VAN.1
Security Functional Requirements (SFR)
FCS_CKM.1, FCS_COP.1, FCS_STO_EXT.1, FCS_RBG_EXT.1, FCS_RBG_EXT.2, FCS_CKM_EXT.1, FCS_CKM.2, FCS_RBG_EXT.1.1, FCS_CKM_EXT.1.1, FCS_STO_EXT.1.1, FCS_CKM.1.1, FCS_TLSC_EXT.1, FCS_TLSS_EXT.1, FCS_DTLS_EXT.1, FCS_RBG_EXT, FCS_RBG_EXT.2.1, FCS_RBG_EXT.2.2, FCS_CKM.2.1, FCS_CKM.1.2, FCS_RGB_EXT.1, FCS_COP.1.1, FDP_DEC_EXT.1, FDP_DAR_EXT.1, FDP_NET_EXT.1, FDP_DEC_EXT.1.1, FDP_DEC_EXT.1.2, FDP_NET_EXT.1.1, FDP_DAR_EXT.1.1, FMT_CFG_EXT.1, FMT_MEC_EXT.1, FMT_SMF.1, FMT_MEC_EXT.1.1, FMT_CFG_EXT.1.1, FMT_CFG_EXT.1.2, FMT_SMF.1.1, FPR_ANO_EXT.1, FPR_ANO_EXT.1.1, FPT_TUD, FPT_AEX_EXT.1, FPT_TUD_EXT.1, FPT_API_EXT.1, FPT_API_EXT.2, FPT_LIB_EXT.1, FPT_TUD_EXT.2, FPT_IDV_EXT.1, FPT_API_EXT.1.1, FPT_AEX_EXT.1.1, FPT_AEX_EXT.1.2, FPT_AEX_EXT.1.3, FPT_AEX_EXT.1.4, FPT_AEX_EXT.1.5, FPT_TUD_EXT.1.1, FPT_TUD_EXT.1.2, FPT_TUD_EXT.1.3, FPT_TUD_EXT.1.4, FPT_TUD_EXT.1.5, FPT_LIB_EXT.1.1, FPT_IDV_EXT.1.1, FPT_TUD_EXT.2.1, FPT_TUD_EXT.2.2, FPT_API_EXT.2.1, FTP_DIT, FTP_DIT_EXT.1, FTP_DIT_EXT.1.1

Side-channel analysis
malfunction

References

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "a1cc4a4e079f4d1f",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "a1cc4a4e079f4d1f",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "PP_APP_v1.3.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 7
          },
          "ECDH": {
            "ECDHE": 1
          },
          "ECDSA": {
            "ECDSA": 5
          }
        },
        "FF": {
          "DH": {
            "DHE": 1,
            "Diffie-Hellman": 8
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.PLATFORM": 1,
          "A.PROPER_ADMIN": 1,
          "A.PROPER_USER": 1
        },
        "O": {
          "O.INTEGRITY": 1,
          "O.MANAGEMENT": 1,
          "O.PROTECTED_COMMS": 1,
          "O.PROTECTED_STORAGE": 1,
          "O.QUALITY": 1
        },
        "OE": {
          "OE.PLATFORM": 1,
          "OE.PROPER_ADMIN": 1,
          "OE.PROPER_USER": 1
        },
        "T": {
          "T.LOCAL_ATTACK": 1,
          "T.NETWORK_ATTACK": 1,
          "T.NETWORK_EAVESDROP": 1,
          "T.PHYSICAL_ACCESS": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP.1": 11
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_OPE.1": 11,
          "AGD_PRE": 1,
          "AGD_PRE.1": 7
        },
        "ALC": {
          "ALC_CMC.1": 7,
          "ALC_CMS.1": 6,
          "ALC_TSU_EXT.1": 7
        },
        "ATE": {
          "ATE_IND": 3,
          "ATE_IND.1": 6
        },
        "AVA": {
          "AVA_VAN": 1,
          "AVA_VAN.1": 7
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM.1": 9,
          "FCS_CKM.1.1": 9,
          "FCS_CKM.1.2": 1,
          "FCS_CKM.2": 2,
          "FCS_CKM.2.1": 2,
          "FCS_CKM_EXT.1": 2,
          "FCS_CKM_EXT.1.1": 2,
          "FCS_COP.1": 15,
          "FCS_COP.1.1": 5,
          "FCS_DTLS_EXT.1": 1,
          "FCS_RBG_EXT": 1,
          "FCS_RBG_EXT.1": 7,
          "FCS_RBG_EXT.1.1": 4,
          "FCS_RBG_EXT.2": 4,
          "FCS_RBG_EXT.2.1": 1,
          "FCS_RBG_EXT.2.2": 1,
          "FCS_RGB_EXT.1": 1,
          "FCS_STO_EXT.1": 8,
          "FCS_STO_EXT.1.1": 3,
          "FCS_TLSC_EXT.1": 1,
          "FCS_TLSS_EXT.1": 1
        },
        "FDP": {
          "FDP_DAR_EXT.1": 3,
          "FDP_DAR_EXT.1.1": 1,
          "FDP_DEC_EXT.1": 3,
          "FDP_DEC_EXT.1.1": 1,
          "FDP_DEC_EXT.1.2": 1,
          "FDP_NET_EXT.1": 2,
          "FDP_NET_EXT.1.1": 1
        },
        "FMT": {
          "FMT_CFG_EXT.1": 2,
          "FMT_CFG_EXT.1.1": 1,
          "FMT_CFG_EXT.1.2": 1,
          "FMT_MEC_EXT.1": 2,
          "FMT_MEC_EXT.1.1": 1,
          "FMT_SMF.1": 2,
          "FMT_SMF.1.1": 1
        },
        "FPR": {
          "FPR_ANO_EXT.1": 2,
          "FPR_ANO_EXT.1.1": 1
        },
        "FPT": {
          "FPT_AEX_EXT.1": 2,
          "FPT_AEX_EXT.1.1": 1,
          "FPT_AEX_EXT.1.2": 1,
          "FPT_AEX_EXT.1.3": 1,
          "FPT_AEX_EXT.1.4": 1,
          "FPT_AEX_EXT.1.5": 1,
          "FPT_API_EXT.1": 2,
          "FPT_API_EXT.1.1": 1,
          "FPT_API_EXT.2": 2,
          "FPT_API_EXT.2.1": 1,
          "FPT_IDV_EXT.1": 2,
          "FPT_IDV_EXT.1.1": 1,
          "FPT_LIB_EXT.1": 2,
          "FPT_LIB_EXT.1.1": 1,
          "FPT_TUD": 1,
          "FPT_TUD_EXT.1": 3,
          "FPT_TUD_EXT.1.1": 1,
          "FPT_TUD_EXT.1.2": 1,
          "FPT_TUD_EXT.1.3": 1,
          "FPT_TUD_EXT.1.4": 1,
          "FPT_TUD_EXT.1.5": 2,
          "FPT_TUD_EXT.2": 4,
          "FPT_TUD_EXT.2.1": 1,
          "FPT_TUD_EXT.2.2": 1
        },
        "FTP": {
          "FTP_DIT": 1,
          "FTP_DIT_EXT.1": 9,
          "FTP_DIT_EXT.1.1": 10
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "SSH": {
          "SSH": 7
        },
        "TLS": {
          "DTLS": {
            "DTLS": 8
          },
          "TLS": {
            "TLS": 26
          }
        },
        "VPN": {
          "VPN": 1
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 6
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 10,
          "P-384": 10,
          "P-521": 12
        }
      },
      "eval_facility": {},
      "hash_function": {
        "PBKDF": {
          "PBKDF": 1
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 7
          },
          "SHA2": {
            "SHA-2": 1,
            "SHA-224": 1,
            "SHA-256": 2,
            "SHA-384": 3,
            "SHA-512": 3
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {
        "java": {
          "java.security": 1
        }
      },
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 28
        },
        "RNG": {
          "RBG": 20,
          "RNG": 6
        }
      },
      "side_channel_analysis": {
        "FI": {
          "malfunction": 1
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 2,
          "CCMB-2017-04-002": 2,
          "CCMB-2017-04-003": 2
        },
        "FIPS": {
          "FIPS 140-2": 2,
          "FIPS 186-4": 4,
          "FIPS PUB 186-4": 6
        },
        "NIST": {
          "NIST SP 800-131A": 1,
          "NIST SP 800-132": 2,
          "NIST SP 800-38A": 1,
          "NIST SP 800-38D": 1,
          "NIST SP 800-38E": 1,
          "NIST SP 800-56B": 1,
          "NIST SP 800-57": 1,
          "NIST SP 800-57A": 1,
          "NIST SP 800-90A": 1,
          "NIST SP 800-90B": 1,
          "SP 800-131A": 1,
          "SP 800-132": 2,
          "SP 800-56A": 1,
          "SP 800-56B": 1,
          "SP 800-90A": 3
        },
        "RFC": {
          "RFC 2560": 1,
          "RFC 2818": 1,
          "RFC 3526": 4,
          "RFC 5280": 4,
          "RFC 5759": 1,
          "RFC 6066": 1,
          "RFC 7919": 2,
          "RFC 8017": 1
        },
        "X509": {
          "X.509": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 8,
            "AES-128": 1,
            "AES-256": 1
          }
        },
        "DES": {
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 6,
            "HMAC-SHA-256": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {
        "IBM": {
          "SE": 1
        }
      },
      "tls_cipher_suite": {},
      "vendor": {
        "Microsoft": {
          "Microsoft": 6
        }
      },
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20190301165410Z",
      "/Creator": "wkhtmltopdf 0.12.4",
      "/Producer": "Qt 4.8.7",
      "/Title": "",
      "pdf_file_size_bytes": 1352475,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.commoncriteriaportal.org/files/ccfiles/CEMV3.1R4.pdf",
          "https://www.niap-ccevs.org/Profile/Info.cfm?PPID=389\u0026id=389",
          "https://github.com/commoncriteria/canary-detector",
          "http://www.whitehouse.gov/sites/default/files/omb/memoranda/fy2006/m06-19.pdf",
          "http://www.iana.org/assignments/media-types",
          "http://www.commoncriteriaportal.org/cc",
          "https://www.niap-ccevs.org/Profile/Info.cfm?PPID=426\u0026id=426",
          "https://www.niap-ccevs.org/Documents_and_Guidance/ccevs/Entropy Documentation and Assessment Clarification.pdf",
          "http://msdn.microsoft.com/en-US/library/windows/apps/jj206936.aspx",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART2V3.1R5.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART3V3.1R5.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART1V3.1R5.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 68
    },
    "report_filename": "pp_app_v1.3-vr.pdf",
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.PLATFORM": 1,
          "A.PROPER_ADMIN": 1,
          "A.PROPER_USER": 1
        },
        "O": {
          "O.INTEGRITY": 1,
          "O.MANAGEMENT": 1,
          "O.PROTECTED_COMMS": 1,
          "O.PROTECTED_STORAGE": 1,
          "O.QUALITY": 1
        },
        "OE": {
          "OE.PLATFORM": 1,
          "OE.PROPER_ADMIN": 1,
          "OE.PROPER_USER": 1
        },
        "T": {
          "T.LOCAL_ATTACK": 1,
          "T.NETWORK_ATTACK": 1,
          "T.NETWORK_EAVESDROP": 1,
          "T.PHYSICAL_ACCESS": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP.1": 1
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_PRE": 1
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMS": 1,
          "ALC_TSU_EXT": 1
        },
        "APE": {
          "APE_CCL.1": 1,
          "APE_ECD.1": 1,
          "APE_INT.1": 1,
          "APE_OBJ.2": 1,
          "APE_REQ": 1,
          "APE_REQ.2": 1,
          "APE_SPD.1": 1
        },
        "ASE": {
          "ASE_CCL": 1,
          "ASE_ECD": 1,
          "ASE_INT": 1,
          "ASE_OBJ": 1,
          "ASE_REQ": 1
        },
        "ATE": {
          "ATE_IND": 1
        },
        "AVA": {
          "AVA_VAN": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM": 1,
          "FCS_CKM.1": 3,
          "FCS_CKM_EXT": 1,
          "FCS_COP.1": 4,
          "FCS_RBG_EXT": 2,
          "FCS_STO_EXT": 1
        },
        "FDP": {
          "FDP_DAR_EXT": 1,
          "FDP_DEC_EXT": 1,
          "FDP_NET_EXT": 1
        },
        "FMT": {
          "FMT_CFG_EXT": 1,
          "FMT_MEC_EXT": 1,
          "FMT_SMF": 1
        },
        "FPR": {
          "FPR_ANO_EXT": 1
        },
        "FPT": {
          "FPT_AEX_EXT": 1,
          "FPT_API_EXT": 2,
          "FPT_IDV_EXT": 1,
          "FPT_LIB_EXT": 1,
          "FPT_TUD_EXT": 2
        },
        "FTP": {
          "FTP_DIT_EXT": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 5
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "X509": {
          "X.509": 2
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Samsung": {
          "Samsung": 49
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/CreationDate": "D:20200331145934-04\u002700\u0027",
      "/ModDate": "D:20200331150037-04\u002700\u0027",
      "pdf_file_size_bytes": 446671,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 15
    }
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "PP_APP_v1.3",
    "pp_sponsor_id": "NIAP",
    "pp_transition": null,
    "predecessor": "PP_APP_v1.2",
    "source_scheme": "US",
    "successor": "PP_APP_v1.4"
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "2cd9fe398a22dcb996a62720164d2fa11a7b0fe3d666cb2c551327ea6ac9333b",
      "source_hash": "1ebe7939cefdf3cf2c7641ee8b9da98135186481e055dc10ece45f1ed2992d9c",
      "txt_hash": "ead51261ec17f9e91bd4db3f5c3d15f8576d08fc24eee1f1cc7ebcee0c9deaec"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "b8ac90193f023af61b29345e2d84660ae0bc19953f216ad0fc6ed93d45cfcea3",
      "source_hash": "80ab9aaa3160a89a555c547f0bc46d4d3f21dfd653e2736222d69709909c2cd1",
      "txt_hash": "62a564e83b7ecf437502441a30eddd35604533777051c1ef9080c94c82a528d3"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Other Devices and Systems",
    "is_collaborative": false,
    "maintenances": [],
    "name": "Protection Profile for Application Software, Version 1.3",
    "not_valid_after": "2022-04-18",
    "not_valid_before": "2019-03-01",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/PP_APP_v1.3.pdf",
    "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_app_v1.3-vr.pdf",
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": [
        "EAL1"
      ]
    },
    "status": "archived",
    "version": "1.3"
  }
}